[rspec-users] New setup error. no such file to load -- spec/story

David Chelimsky dchelimsky at gmail.com
Mon May 18 10:04:37 EDT 2009


On Mon, May 18, 2009 at 8:59 AM, Matt Wynne <matt at mattwynne.net> wrote:
>
> On 18 May 2009, at 03:44, Jason Calleiro wrote:
>
>> gems:
>> rspec (1.2.6)
>> rspec-rails (1.2.6)
>> cucumber (0.3.4, 0.3.2)
>> webrat (0.4.4)
>>
>> Just got my new machine (I'm learning rails, im a front end designer).
>> pulled a repo that we've been working on to run rake and get started and
>> im getting this error.
>>
>> /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in
>> `gem_original_require': no such file to load -- spec/story
>> (MissingSourceFile)
>>  from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require'
>>  from
>>
>> /Library/Ruby/Gems/1.8/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:158:in
>> `require'
>>  from /Users/jasoncalleiro/Dev/Ruby/ventnation/spec/spec_helper.rb:4
>
> This looks like the problem here. Can you show us line 4 of your spec_helper
> file?

I'm pretty sure it's because you didn't run "script/generate rspec"
when you upgraded to 1.2.x. 'spec/story' loaded rspec's story runner,
which hasn't been part of rspec since pre 1.2.

>
>>
>>  from ./spec/controllers/categories_controller_spec.rb:1:in `require'
>>  from ./spec/controllers/categories_controller_spec.rb:1
>>  from
>>
>> /Library/Ruby/Gems/1.8/gems/rspec-1.2.6/lib/spec/runner/example_group_runner.rb:15:in
>> `load'
>>  from
>>
>> /Library/Ruby/Gems/1.8/gems/rspec-1.2.6/lib/spec/runner/example_group_runner.rb:15:in
>> `load_files'
>>  from
>>
>> /Library/Ruby/Gems/1.8/gems/rspec-1.2.6/lib/spec/runner/example_group_runner.rb:14:in
>> `each'
>>  from
>>
>> /Library/Ruby/Gems/1.8/gems/rspec-1.2.6/lib/spec/runner/example_group_runner.rb:14:in
>> `load_files'
>>  from
>> /Library/Ruby/Gems/1.8/gems/rspec-1.2.6/lib/spec/runner/options.rb:99:in
>> `run_examples'
>>  from
>>
>> /Library/Ruby/Gems/1.8/gems/rspec-1.2.6/lib/spec/runner/command_line.rb:9:in
>> `run'
>>  from /Library/Ruby/Gems/1.8/gems/rspec-1.2.6/bin/spec:4
>> rake aborted!
>> Command
>> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
>> -I"/Library/Ruby/Gems/1.8/gems/rspec-1.2.6/lib"
>> "/Library/Ruby/Gems/1.8/gems/rspec-1.2.6/bin/spec"
>> "spec/controllers/categories_controller_spec.rb"
>> "spec/controllers/vents_controller_spec.rb"
>> "spec/models/category_spec.rb" "spec/models/message_vent_spec.rb"
>> "spec/models/user_spec.rb" "spec/models/video_vent_spec.rb" --options
>> "/Users/jasoncalleiro/Dev/Ruby/ventnation/spec/spec.opts" failed
>>
>>
>> Tried to doing the google search thing but dont really come up with
>> anything. Let me know if you can help, Thanks!
>>
>> Jason


More information about the rspec-users mailing list